Name:           kmyglcubesaver
Version:        1.01
Release:        %mkrel 1
Summary:        A screensaver for KDE4
License:        LGPLv2+
Group:          Graphics/Utilities
Url:            http://kde-apps.org/content/show.php/KMyGLCubeSaver?content=119938

Source0:        http://linuxboy.altervista.org/kde-apps/%{name}-%{version}.tar.gz
Patch0:         kmyglcubesaver-1.01-mga-desktop-file-translation.patch
Patch1:         kmyglcubesaver-1.01-mga-doc-path.patch

BuildRequires:  kdebase4-workspace-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  kde4-macros

Requires:       kdebase4-runtime


%description
This is an OpenGL screensaver for KDE4, which shows a rotating cube whose
faces show one or more images contained in a directory. KMyGLCubeSaver
supports images with the extensions *.jpg *.bmp *.png *.jpeg *.gif
They must be included in the hidden directory $HOME/.myglcubesaver.
This directory is created automatically. In the setup window,
you can lock the rotation of the cube around one or more
axes, modify the time to change the image, and choose whether you want to
see the images sequentially or randomly.

%prep
%setup -q
%apply_patches

%build
%qmake_qt4
%make


%install
%make_install INSTALL_ROOT=$RPM_BUILD_ROOT


%files
%doc README preview*.png
%{_bindir}/%{name}.kss
%{_kde_services}/ScreenSavers/*


%changelog
* Wed Nov 13 2013 dglent <dglent> 1.01-1.mga4
+ Revision: 550916
- Fix typos in description
- Remove trailing whitespaces
- Fix grammar typos in description
- Cosmetic changes in spec (tabs and whitespaces)
- Reduce description's lines in 79 char max
- Fix License short name
- Remove copy of LGPL text
- Cosmetic changes in spec
- Update fr translation in desktop file patch
- imported package kmyglcubesaver

